﻿using Microsoft.UI.Xaml.Controls;
using Windows.Foundation;
using Windows.Graphics.Display;
using Windows.UI.ViewManagement;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainPage()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            #region 윈도우 크기를 설정한다.

            double width  = 800d;
            double height = 600d;

            double dpi = (double)DisplayInformation.GetForCurrentView().LogicalDpi;

            ApplicationView.PreferredLaunchWindowingMode = ApplicationViewWindowingMode.PreferredLaunchViewSize;

            Size windowSize = new Size(width * 96d / dpi, height * 96d / dpi);

            ApplicationView.PreferredLaunchViewSize = windowSize;

            Window.Current.Activate();

            ApplicationView.GetForCurrentView().TryResizeView(windowSize);

            #endregion
            #region 윈도우 제목을 설정한다.

            ApplicationView.GetForCurrentView().Title = "TabView 엘리먼트 : TabWidthMode 속성 사용하기";

            #endregion
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 탭 너비 모드 콤보 박스 선택 변경시 처리하기 - tabWidthModeComboBox_SelectionChanged(sender, e)

        /// <summary>
        /// 탭 너비 모드 콤보 박스 선택 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void tabWidthModeComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            ComboBoxItem item = e.AddedItems[0] as ComboBoxItem;

            string tabWidthModeString = item.Content.ToString();

            TabViewWidthMode tabViewWidthMode = TabViewWidthMode.Equal;

            switch(tabWidthModeString)
            {
                case "Equal"         : tabViewWidthMode = TabViewWidthMode.Equal;         break;
                case "SizeToContent" : tabViewWidthMode = TabViewWidthMode.SizeToContent; break;
                case "Compact"       : tabViewWidthMode = TabViewWidthMode.Compact;       break;
            }

            this.tabView.TabWidthMode = tabViewWidthMode;
        }

        #endregion
    }
}